Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeBundleTasksResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeBundleTasksResult

    public class DescribeBundleTasksResult

extends Object

The result of describing the bundle tasks for the user's account.

Constructor Summary
`DescribeBundleTasksResult()`

Method Summary
`List<BundleTask>` | `getBundleTasks()` The list of described bundle tasks.
`void` | `setBundleTasks(Collection<BundleTask> bundleTasks)` The list of described bundle tasks.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeBundleTasksResult` | `withBundleTasks(BundleTask... bundleTasks)` The list of described bundle tasks.
`DescribeBundleTasksResult` | `withBundleTasks(Collection<BundleTask> bundleTasks)` The list of described bundle tasks.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeBundleTasksResult

    public DescribeBundleTasksResult()

Method Detail

### getBundleTasks

    public List<BundleTask> getBundleTasks()

  The list of described bundle tasks.

  Returns:
    The list of described bundle tasks.

### setBundleTasks

    public void setBundleTasks(Collection<BundleTask> bundleTasks)

  The list of described bundle tasks.

  Parameters:
    `bundleTasks` - The list of described bundle tasks.

### withBundleTasks

    public DescribeBundleTasksResult withBundleTasks(BundleTask... bundleTasks)

  The list of described bundle tasks.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleTasks` - The list of described bundle tasks.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withBundleTasks

    public DescribeBundleTasksResult withBundleTasks(Collection<BundleTask> bundleTasks)

  The list of described bundle tasks.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bundleTasks` - The list of described bundle tasks.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.